Skip to main content
`Ctrl`+`K`

# PetscLogHandlerView

View the data recorded in a log handler.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerView(PetscLogHandler h, PetscViewer viewer)

Collective

## Input Parameters

- h - the `PetscLogHandler`

- viewer - the `PetscViewer`

## See Also

Profiling, `PetscLogHandler`, `PetscLogView()`

## Level

developer

## Location

src/sys/logging/handler/interface/loghandler.c

## Implementations

PetscLogHandlerView_Default() in src/sys/logging/handler/impls/default/logdefault.c
PetscLogHandlerView_Nested() in src/sys/logging/handler/impls/nested/lognested.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages